Bug 168583 - Review Request: perl-Crypt-DES_EDE3
Summary: Review Request: perl-Crypt-DES_EDE3
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Crypt-DES...
Whiteboard:
Keywords:
Depends On: 168580
Blocks: FE-ACCEPT 168607
TreeView+ depends on / blocked
 
Reported: 2005-09-17 15:36 UTC by Steven Pritchard
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 02:48:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steven Pritchard 2005-09-17 15:36:24 UTC
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Crypt-DES_EDE3/perl-Crypt-DES_EDE3.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Crypt-DES_EDE3-0.01-2.src.rpm
Description: 
This is Crypt::DES_EDE3, a module implementing Triple-DES EDE
(encrypt-decrypt-encrypt) encryption and decryption.

Comment 1 Paul Howarth 2005-10-24 15:43:58 UTC
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec, text generated and included
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock for FC4 (i386)
- BR's OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop entry needed
- no scriptlets

Suggestion:

- "Triple-DES EDE encryption/decryption module" might be a better summary than
  "Crypt::DES_EDE3 Perl module"

Approved.




Note You need to log in before you can comment on or make changes to this bug.